"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonStyle = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var theme_interface_1 = require("../../types/theme.interface");
var css = styled_components_1.default.button;
exports.ButtonStyle = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n   color: white;\n   font-weight: 500;\n\n   // rounded\n   ", "\n   ", "\n\n   // background color\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   // outline\n   ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n   \n   // text color with outline\n   ", "\n   ", "\n   \n   // text color\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   // text color with outline\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n\n   ", "\n   ", "\n\n   //\n   ", "\n   ", "\n\n   transition: 0.15s all;\n\n   &:hover {\n      transition: 0.15s all;\n      ", "\n      transform: translateZ(0) scale(1.02);\n\n      ", "\n      ", "\n   \n   // text color\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   // text color with outline\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n\n   ", "\n   ", "\n\n   //\n   ", "\n   ", "\n   }\n\n   &:focus {\n      box-shadow: none !important;\n   }\n"], ["\n   color: white;\n   font-weight: 500;\n\n   // rounded\n   ", "\n   ", "\n\n   // background color\n   ",
    "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   ", "\n   \n   // outline\n   ", "\n  ", "\n  ",
    "\n  ",
    "\n  ",
    "\n  ", "\n  ",
    "\n  ",
    "\n  ",
    "\n  ", "\n  ", "\n  ", "\n  ", "\n   \n   // text color with outline\n   ", "\n   ", "\n   \n   // text color\n   ",
    "\n   ",
    "\n   ",
    "\n   ", "\n   ",
    "\n   ",
    "\n   ", "\n   ", "\n   \n   // text color with outline\n   ",
    "\n   ",
    "\n   ",
    "\n   ", "\n   ",
    "\n   ", "\n   ", "\n   ", "\n\n   ", "\n   ", "\n\n   //\n   ", "\n   ", "\n\n   transition: 0.15s all;\n\n   &:hover {\n      transition: 0.15s all;\n      ", "\n      transform: translateZ(0) scale(1.02);\n\n      ", "\n      ", "\n   \n   // text color\n   ",
    "\n   ",
    "\n   ",
    "\n   ", "\n   ",
    "\n   ",
    "\n   ", "\n   ", "\n   \n   // text color with outline\n   ",
    "\n   ",
    "\n   ",
    "\n   ", "\n   ",
    "\n   ", "\n   ", "\n   ", "\n\n   ", "\n   ", "\n\n   //\n   ", "\n   ", "\n   }\n\n   &:focus {\n      box-shadow: none !important;\n   }\n"])), function (p) { return p.rounded && "border-radius: 100px;"; }, function (p) { return p.w100 && "width: 100%;"; }, function (props) {
    return props.variant === 'primary' &&
        "background: " + (props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) { return props.variant === 'secondary' && "background: " + (props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";"; }, function (props) { return props.variant === 'success' && "background: " + (props.theme.success || theme_interface_1.ThemeDefault.success) + ";"; }, function (props) { return props.variant === 'info' && "background: " + (props.theme.info || theme_interface_1.ThemeDefault.info) + ";"; }, function (props) { return props.variant === 'warning' && "background: " + (props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";"; }, function (props) { return props.variant === 'danger' && "background: " + (props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";"; }, function (props) { return props.variant === 'light' && "background: " + (props.theme.light || theme_interface_1.ThemeDefault.light) + ";"; }, function (props) { return props.variant === 'dark' && "background: " + (props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";"; }, function (props) { return props.variant === 'link' && "background: transparent;"; }, function (props) { return props.outline && "border-width: 2px;"; }, function (props) { return props.outline && "background: transparent;"; }, function (props) {
    return props.outline &&
        props.variant === 'primary' &&
        "border-color: " + (props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) {
    return props.outline &&
        props.variant === 'secondary' &&
        "border-color: " + (props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";";
}, function (props) {
    return props.outline && props.variant === 'success' && "border-color: " + (props.theme.success || theme_interface_1.ThemeDefault.success) + ";";
}, function (props) { return props.outline && props.variant === 'info' && "border-color: " + (props.theme.info || theme_interface_1.ThemeDefault.info) + ";"; }, function (props) {
    return props.outline && props.variant === 'warning' && "border-color: " + (props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";";
}, function (props) {
    return props.outline && props.variant === 'danger' && "border-color: " + (props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";";
}, function (props) {
    return props.outline && props.variant === 'light' && "border-color: " + (props.theme.light || theme_interface_1.ThemeDefault.light) + ";";
}, function (props) { return props.outline && props.variant === 'dark' && "border-color: " + (props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";"; }, function (props) { return props.variant === 'link' && "border-width: 0px;"; }, function (props) { return props.size === 'sm' && "padding: 5px;"; }, function (props) { return props.size === 'lg' && "padding: 12px;"; }, function (props) { return props.variant === 'light' && "color: " + (props.theme.lightText || theme_interface_1.ThemeDefault.lightText) + ";"; }, function (props) { return props.variant === 'link' && "color: " + (props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";"; }, function (props) {
    return props.variant === 'primary' &&
        "color: " + (props.defaultColor || props.theme.primaryTextInside || theme_interface_1.ThemeDefault.primaryTextInside) + ";";
}, function (props) {
    return props.variant === 'secondary' && "color: " + (props.theme.secondaryTextInside || theme_interface_1.ThemeDefault.secondaryTextInside) + ";";
}, function (props) {
    return props.variant === 'success' && "color: " + (props.theme.successTextInside || theme_interface_1.ThemeDefault.successTextInside) + ";";
}, function (props) { return props.variant === 'info' && "color: " + (props.theme.infoTextInside || theme_interface_1.ThemeDefault.infoTextInside) + ";"; }, function (props) {
    return props.variant === 'warning' && "color: " + (props.theme.warningTextInside || theme_interface_1.ThemeDefault.warningTextInside) + ";";
}, function (props) {
    return props.variant === 'danger' && "color: " + (props.theme.dangerTextInside || theme_interface_1.ThemeDefault.dangerTextInside) + ";";
}, function (props) { return props.variant === 'light' && "color: " + (props.theme.lightTextInside || theme_interface_1.ThemeDefault.lightTextInside) + ";"; }, function (props) { return props.variant === 'dark' && "color: " + (props.theme.darkTextInside || theme_interface_1.ThemeDefault.darkTextInside) + ";"; }, function (props) {
    return props.outline &&
        props.variant === 'primary' &&
        "color: " + (props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) {
    return props.outline && props.variant === 'secondary' && "color: " + (props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";";
}, function (props) {
    return props.outline && props.variant === 'success' && "color: " + (props.theme.success || theme_interface_1.ThemeDefault.success) + ";";
}, function (props) { return props.outline && props.variant === 'info' && "color: " + (props.theme.info || theme_interface_1.ThemeDefault.info) + ";"; }, function (props) {
    return props.outline && props.variant === 'warning' && "color: " + (props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";";
}, function (props) { return props.outline && props.variant === 'danger' && "color: " + (props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";"; }, function (props) { return props.outline && props.variant === 'light' && "color: " + (props.theme.light || theme_interface_1.ThemeDefault.light) + ";"; }, function (props) { return props.outline && props.variant === 'dark' && "color: " + (props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";"; }, function (props) { return props.background && !props.outline && "background-color: " + props.background + ";"; }, function (props) { return props.background && props.outline && "color: " + props.background + "; border-color: " + props.background + ";"; }, function (props) { return props.textColor && "color: " + props.textColor + ";"; }, function (props) { var _a, _b; return ((_a = props.theme.button) === null || _a === void 0 ? void 0 : _a.textColor) && "color: " + ((_b = props.theme.button) === null || _b === void 0 ? void 0 : _b.textColor) + ";"; }, function (props) { return props.variant !== 'link' && "box-shadow: 0px 1px 5px rgb(0 0 0 / 30%);"; }, function (props) { return props.variant === 'light' && "color: " + (props.theme.lightText || theme_interface_1.ThemeDefault.lightText) + ";"; }, function (props) { return props.variant === 'link' && "color: " + (props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";"; }, function (props) {
    return props.variant === 'primary' &&
        "color: " + (props.defaultColor || props.theme.primaryTextInside || theme_interface_1.ThemeDefault.primaryTextInside) + ";";
}, function (props) {
    return props.variant === 'secondary' &&
        "color: " + (props.theme.secondaryTextInside || theme_interface_1.ThemeDefault.secondaryTextInside) + ";";
}, function (props) {
    return props.variant === 'success' && "color: " + (props.theme.successTextInside || theme_interface_1.ThemeDefault.successTextInside) + ";";
}, function (props) { return props.variant === 'info' && "color: " + (props.theme.infoTextInside || theme_interface_1.ThemeDefault.infoTextInside) + ";"; }, function (props) {
    return props.variant === 'warning' && "color: " + (props.theme.warningTextInside || theme_interface_1.ThemeDefault.warningTextInside) + ";";
}, function (props) {
    return props.variant === 'danger' && "color: " + (props.theme.dangerTextInside || theme_interface_1.ThemeDefault.dangerTextInside) + ";";
}, function (props) { return props.variant === 'light' && "color: " + (props.theme.lightTextInside || theme_interface_1.ThemeDefault.lightTextInside) + ";"; }, function (props) { return props.variant === 'dark' && "color: " + (props.theme.darkTextInside || theme_interface_1.ThemeDefault.darkTextInside) + ";"; }, function (props) {
    return props.outline &&
        props.variant === 'primary' &&
        "color: " + (props.defaultColor || props.theme.primary || theme_interface_1.ThemeDefault.primary) + ";";
}, function (props) {
    return props.outline && props.variant === 'secondary' && "color: " + (props.theme.secondary || theme_interface_1.ThemeDefault.secondary) + ";";
}, function (props) {
    return props.outline && props.variant === 'success' && "color: " + (props.theme.success || theme_interface_1.ThemeDefault.success) + ";";
}, function (props) { return props.outline && props.variant === 'info' && "color: " + (props.theme.info || theme_interface_1.ThemeDefault.info) + ";"; }, function (props) {
    return props.outline && props.variant === 'warning' && "color: " + (props.theme.warning || theme_interface_1.ThemeDefault.warning) + ";";
}, function (props) { return props.outline && props.variant === 'danger' && "color: " + (props.theme.danger || theme_interface_1.ThemeDefault.danger) + ";"; }, function (props) { return props.outline && props.variant === 'light' && "color: " + (props.theme.light || theme_interface_1.ThemeDefault.light) + ";"; }, function (props) { return props.outline && props.variant === 'dark' && "color: " + (props.theme.dark || theme_interface_1.ThemeDefault.dark) + ";"; }, function (props) { return props.background && !props.outline && "background-color: " + props.background + ";"; }, function (props) { return props.background && props.outline && "color: " + props.background + "; border-color: " + props.background + ";"; }, function (props) { return props.textColor && "color: " + props.textColor + ";"; }, function (props) { var _a, _b; return ((_a = props.theme.button) === null || _a === void 0 ? void 0 : _a.textColor) && "color: " + ((_b = props.theme.button) === null || _b === void 0 ? void 0 : _b.textColor) + ";"; });
var templateObject_1;
//# sourceMappingURL=Button.style.js.map